com.sun.jna.platform.win32

## Class Netapi32Util.DomainTrust

- java.lang.Object
- - com.sun.jna.platform.win32.Netapi32Util.DomainTrust

Enclosing class:
  Netapi32Util

    public static class Netapi32Util.DomainTrust
    extends java.lang.Object

A domain trust relationship.

### Field Summary

Fields
`java.lang.String` `DnsDomainName` DNS name of the domain.
`Guid.GUID` `DomainGuid` Contains the GUID of the domain represented by this structure.
`java.lang.String` `DomainGuidString` Contains the string representation of the GUID of the domain represented by this structure.
`WinNT.PSID` `DomainSid` Contains the security identifier of the domain represented by this structure.
`java.lang.String` `DomainSidString` Contains the string representation of the security identifier of the domain represented by this structure.
`java.lang.String` `NetbiosDomainName` NetBIOS name of the domain.

### Constructor Summary

Constructors
Constructor and Description
`DomainTrust()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isInbound()` The domain represented by this structure directly trusts the domain that the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function is a member of.
`boolean` `isInForest()` The domain represented by this structure is a member of the same forest as the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function.
`boolean` `isNativeMode()` The domain represented by this structure is running in the Windows 2000 native mode.
`boolean` `isOutbound()` The domain represented by this structure is directly trusted by the domain that the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function is a member of.
`boolean` `isPrimary()` The domain represented by this structure is the primary domain of the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function.
`boolean` `isRoot()` The domain represented by this structure is the root of a tree and a member of the same forest as the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NetbiosDomainName

    public java.lang.String NetbiosDomainName

NetBIOS name of the domain.

#### DnsDomainName

    public java.lang.String DnsDomainName

DNS name of the domain.

#### DomainSid

    public WinNT.PSID DomainSid

Contains the security identifier of the domain represented by this structure.

#### DomainSidString

    public java.lang.String DomainSidString

Contains the string representation of the security identifier of the domain represented by this structure.

#### DomainGuid

    public Guid.GUID DomainGuid

Contains the GUID of the domain represented by this structure.

#### DomainGuidString

    public java.lang.String DomainGuidString

Contains the string representation of the GUID of the domain represented by this structure.

### Constructor Detail

#### DomainTrust

    public DomainTrust()

### Method Detail

#### isInForest

    public boolean isInForest()

The domain represented by this structure is a member of the same forest as the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function.

Returns:
  True or false.

#### isOutbound

    public boolean isOutbound()

The domain represented by this structure is directly trusted by the domain that the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function is a member of.

Returns:
  True or false.

#### isRoot

    public boolean isRoot()

The domain represented by this structure is the root of a tree and a member of the same forest as the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function.

Returns:
  True or false.

#### isPrimary

    public boolean isPrimary()

The domain represented by this structure is the primary domain of the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function.

Returns:
  True or false.

#### isNativeMode

    public boolean isNativeMode()

The domain represented by this structure is running in the Windows 2000 native mode.

Returns:
  True or false.

#### isInbound

    public boolean isInbound()

The domain represented by this structure directly trusts the domain that the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function is a member of.

Returns:
  True or false.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.